# Gets usage data GET https://app.unleash-instance.example.com/api/admin/metrics/rps **Enterprise feature** Gets usage data per app/endpoint from a prometheus compatible metrics endpoint Reference: https://docs.getunleash.io/api/get-requests-per-second ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: Gets usage data version: endpoint_metrics.getRequestsPerSecond paths: /api/admin/metrics/rps: get: operationId: get-requests-per-second summary: Gets usage data description: >- **Enterprise feature** Gets usage data per app/endpoint from a prometheus compatible metrics endpoint tags: - - subpackage_metrics parameters: - name: Authorization in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '200': description: requestsPerSecondSegmentedSchema content: application/json: schema: $ref: '#/components/schemas/requestsPerSecondSegmentedSchema' components: schemas: RequestsPerSecondSchemaStatus: type: string enum: - value: success - value: failure RequestsPerSecondSchemaDataResultType: type: string enum: - value: matrix - value: vector - value: scalar - value: string RequestsPerSecondSchemaDataResultItemsMetric: type: object properties: appName: type: string description: Name of the application this metric relates to endpoint: type: string description: Which endpoint has been accessed RequestsPerSecondSchemaDataResultItemsValuesItemsItems: oneOf: - type: string - type: number format: double RequestsPerSecondSchemaDataResultItems: type: object properties: metric: $ref: '#/components/schemas/RequestsPerSecondSchemaDataResultItemsMetric' description: A key value set representing the metric values: type: array items: type: array items: $ref: >- #/components/schemas/RequestsPerSecondSchemaDataResultItemsValuesItemsItems description: >- An array of arrays. Each element of the array is an array of size 2 consisting of the 2 axis for the graph: in position zero the x axis represented as a number and position one the y axis represented as string RequestsPerSecondSchemaData: type: object properties: resultType: $ref: '#/components/schemas/RequestsPerSecondSchemaDataResultType' description: Prometheus compatible result type. result: type: array items: $ref: '#/components/schemas/RequestsPerSecondSchemaDataResultItems' description: >- An array of values per metric. Each one represents a line in the graph labeled by its metric name requestsPerSecondSchema: type: object properties: status: $ref: '#/components/schemas/RequestsPerSecondSchemaStatus' description: Whether the query against prometheus succeeded or failed data: $ref: '#/components/schemas/RequestsPerSecondSchemaData' description: The query result from prometheus requestsPerSecondSegmentedSchema: type: object properties: clientMetrics: $ref: '#/components/schemas/requestsPerSecondSchema' adminMetrics: $ref: '#/components/schemas/requestsPerSecondSchema' ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/admin/metrics/rps" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/metrics/rps'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/metrics/rps" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/metrics/rps") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.unleash-instance.example.com/api/admin/metrics/rps") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://app.unleash-instance.example.com/api/admin/metrics/rps', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/metrics/rps"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/metrics/rps")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```